# 项目描述
基于边缘计算场景的计算和网络融合平台

基于Docker和Open vSwitch开发，可用于构建分布式边缘计算、网络环境仿真等场景。

## 功能概览
* 网络编排
* 网络自动变形
* 函数化寻址
* 逻辑拓扑规划
* 计算资源管理
* 容器动态扩缩容
* 容器计算和网络应用快速构建


## 开发人员简介
* 谢建斌
* 王一鸣
* 刘建瓯
* 张夏童

## 第一次更新说明
1. 使用域名替换配置中的IP，防止多人多次修改配置类并进行提交，避免合并分支时出现冲突的问题。
如果有需要在自己的电脑上进行部署，需要通过修改本机host的方式来修改对应节点的IP。

2. 测试代码

## 第二次更新说明（Elf：2020-8-12）
1. 平台docker化，删去ovs中的sudo命令，具体见cnf/cnf-utils/OvsUtilsImpl

2. 有关虚拟网卡对之间未作修改，原因是我还没想好如何在docker中运行