package top.ninwoo.bishe.starter.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "bishe.app")
public class ClientProperties {
    private String zookeeperUrl = "zookeeper://127.0.0.1:2181";
    private String cloudUrl = "127.0.0.1:9300";


    private String appName = "default";
}
