package top.ninwoo.edgecenter.service;

import top.ninwoo.common.entity.NetworkTopology;

import java.util.List;

//逻辑网络
public interface LogicTopoService {
    //通过逻辑拓扑创造逻辑网络
    String creatLogicTopo(long clusterId, NetworkTopology logictopo);
    //调整逻辑网络
    String modifyLogicTopology(long clusterId, NetworkTopology logictopo);
    //得到逻辑拓扑
    NetworkTopology getLogictopo(NetworkTopology oritopo);
    //返回topo到docker容器端
    int[][] getTopo(long clusterId);
    //返回IPlist到docker容器端
    List<String> getIPlist(long clusterId);

}
